libzypp: zyppng::CapMatch Class Reference

libzypp 17.38.11

zyppng::CapMatch Class Reference

Tri state Capability match result. More...

`#include <zypp/CapMatch.h>`

## Public Member Functions
| CapMatch ()
| CapMatch (bool val_r)

## Static Public Attributes
static const CapMatch | yes
static const CapMatch | no
static const CapMatch | irrelevant

## Private Types
enum | Result { NOMATCH , MATCH , IRRELEVANT }

## Private Attributes
Result | _result

## Friends
bool | operator== (const CapMatch &lhs, const CapMatch &rhs)
bool | operator!= (const CapMatch &lhs, const CapMatch &rhs)
CapMatch | operator! (const CapMatch &lhs)
CapMatch | operator&& (const CapMatch &lhs, const CapMatch &rhs)
CapMatch | operator|| (const CapMatch &lhs, const CapMatch &rhs)
std::ostream & | operator<< (std::ostream &str, const CapMatch &obj)
| relates: CapMatch Stream output

## Detailed Description

Tri state Capability match result.

CapMatch::irrelevant denotes a result value that should be ignored. Therfore it behaves neutral when used in ! && || expressions.

CapMatch any
(CapMatch::irrelevant && any) == any // true
(CapMatch::irrelevant || any) == any // true
( !CapMatch::irrelevant ) == CapMatch::irrelevant // true
zyppng::CapMatch::irrelevant
static const CapMatch irrelevant
Definition CapMatch.h:54
zyppng::CapMatch::CapMatch
CapMatch()
Definition CapMatch.h:44

Definition at line 38 of file CapMatch.h.

## Member Enumeration Documentation

## ◆ Result

enum zypp::CapMatch::Result
| private

Enumerator
NOMATCH |
MATCH |
IRRELEVANT |

Definition at line 40 of file CapMatch.h.

## Constructor & Destructor Documentation

## ◆ CapMatch() [1/2]

zypp::CapMatch::CapMatch | ( |  | ) |
| inline

Definition at line 44 of file CapMatch.h.

## ◆ CapMatch() [2/2]

zypp::CapMatch::CapMatch | ( | bool | val_r | ) |
| inline

Definition at line 48 of file CapMatch.h.

## Friends And Related Symbol Documentation

## ◆ operator==

bool operator== | ( | const CapMatch & | lhs,
|  | const CapMatch & | rhs )
| friend

Definition at line 56 of file CapMatch.h.

## ◆ operator!=

bool operator!= | ( | const CapMatch & | lhs,
|  | const CapMatch & | rhs )
| friend

Definition at line 59 of file CapMatch.h.

## ◆ operator!

CapMatch operator! | ( | const CapMatch & | lhs | ) |
| friend

Definition at line 62 of file CapMatch.h.

## ◆ operator&&

CapMatch operator&& | ( | const CapMatch & | lhs,
|  | const CapMatch & | rhs )
| friend

Definition at line 69 of file CapMatch.h.

## ◆ operator||

CapMatch operator|| | ( | const CapMatch & | lhs,
|  | const CapMatch & | rhs )
| friend

Definition at line 79 of file CapMatch.h.

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const CapMatch & | obj )
| friend

relates: CapMatch Stream output

Definition at line 32 of file CapMatch.cc.

## Member Data Documentation

## ◆ yes

const CapMatch zypp::CapMatch::yes
| static

Definition at line 52 of file CapMatch.h.

## ◆ no

const CapMatch zypp::CapMatch::no
| static

Definition at line 53 of file CapMatch.h.

## ◆ irrelevant

const CapMatch zypp::CapMatch::irrelevant
| static

Definition at line 54 of file CapMatch.h.

## ◆ _result

Result zypp::CapMatch::_result
| private

Definition at line 92 of file CapMatch.h.

The documentation for this class was generated from the following files:

- zypp/CapMatch.h
- zypp/CapMatch.cc